Skip to main content
`Ctrl`+`K`

# EPSLOBPCGSetLocking

Choose between locking and non-locking variants of the LOBPCG method.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSLOBPCGSetLocking(EPS eps,PetscBool lock)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- lock - true if the locking variant must be selected

## Options Database Key

- -eps_lobpcg_locking - sets the locking flag

## Notes

This flag refers to soft locking (converged vectors within the current block iterate), since hard locking is always used (when `nev` is larger than the block size).

## See Also

EPS: Eigenvalue Problem Solver, `EPSLOBPCG`, `EPSLOBPCGGetLocking()`

## Level

advanced

## Location

src/eps/impls/cg/lobpcg/lobpcg.c

## Implementations

EPSLOBPCGSetLocking_LOBPCG() in src/eps/impls/cg/lobpcg/lobpcg.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages